# eoAlgo< EOT > Class Template Reference

This is a generic class for population-transforming algorithms. More...

`#include <eoAlgo.h>`

Inheritance diagram for eoAlgo< EOT >:

List of all members.

## Detailed Description

### template<class EOT>
class eoAlgo< EOT >

This is a generic class for population-transforming algorithms.

There is only one operator defined, which takes a population and does stuff to it. It needn't be a complete algorithm, can be also a step of an algorithm. This class just gives a common interface to linear population-transforming algorithms.

Definition at line 39 of file eoAlgo.h.

The documentation for this class was generated from the following file:

- eoAlgo.h